.CategoryCard {
    margin-bottom: 30px;
    width: calc(100% / 3 - 20px);
    height: 320px;
    background-color: transparent;
    display: flex;
    flex-direction: column;
    text-decoration: none;
    -webkit-box-shadow: 3px 3px 15px 4px rgba(0, 0, 0, 0.58);
    box-shadow: 3px 3px 15px 4px rgba(0, 0, 0, 0.2);
    border-radius: 10px;
}

.CategoryCard:nth-child(n + 4) {
    margin-bottom: 0;
}

.CategoryCard:hover {
    background: black;
    transition: .5s ease-out;
}

.CategoryCard:hover .CardImage {
    height: 0px;
    transition: .5s ease-out;
}

.CategoryCard:hover .CardTitle {
    height: 100%;
    border-radius: 10px;
    transition: .5s ease-out;
    font-size: 40px;
}

.CardImage {
    height: 260px;
    object-fit: cover;
    border-top-right-radius: 10px;
    border-top-left-radius: 10px;
    transition: .5s ease-out;
}

.CardTitle {
    width: 100%;
    height: 60px;
    background-color: white;
    color: black;
    display: flex;
    flex-direction: column;
    justify-content: center;
    text-transform: uppercase;
    border-bottom-left-radius: 10px;
    border-bottom-right-radius: 10px;
    transition: .5s ease-out;
}